Skip to content

Set user MFA status

Set user MFA status by user ID, you can choose to specify user ID type, etc.

Method name

ManagementClient.setUsersMfaStatus

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
userIdstringYes-User unique identifier, which can be user ID, user name, email address, phone number, external ID, or ID in an external identity source.6229ffaxxxxxxxxcade3e3d9
userIdTypestringNouser_idUser ID type, the default value is user_id, the optional values are:
- user_id: GenAuth user ID, such as 6319a1504f3xxxxf214dd5b7
- phone: User phone number
- email: User email
- username: User name
- external_id: User ID in the external system, corresponding to the externalId field of GenAuth user information
- identity: User's external identity source information, the format is <extIdpId>:<userIdInIdp>, where <extIdpId> is the ID of the GenAuth identity source, and <userIdInIdp> is the ID of the user in the external identity source.
Example value: 62f20932716fbcc10d966ee5:ou_8bae746eac07cd2564654140d2a9ac61.
user_id
mfaTriggerData<a MfaTriggerDataYes-User MFA trigger data

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a privately deployed customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.setUsersMfaStatus({
    // Replace user ID
    userId: "6229ffaxxxxxxxxcade3e3d9",
    userIdType: "user_id",
    mfaTriggerData: {
      mfaToken: "xxxxxxx",
      mfaPhone: null,
      mfaPhoneCountryCode: null,
      mfaEmail: null,
      nickname: null,
      username: null,
      phone: null,
      phoneCountryCode: null,
      faceMfaEnabled: true,
      totpMfaEnabled: true,
      applicationMfa: [
        {
          mfaPolicy: "EMAIL",
          status: 1,
          sort: 0,
        },
      ],
    },
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code. This status code can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type.
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data structure

MfaTriggerData

NameTypeIs it requiredDescriptionSample value
mfaTokenstringyesMFA Tokenxxxxxxx
applicationMfaarrayyesMFA configuration type: <a ApplicationMfaDto.
mfaPhonestringNoMobile phone number bound to MFAnull
mfaPhoneCountryCodestringNoMobile area code bound to MFAnull
mfaEmailstringNoEmail address bound to MFAnull
nicknamestringNoUser nicknamenull
usernamestringNoUser namenull
phonestringNoUser mobile phone numbernull
phoneCountryCodestringNoUser mobile area codenull
faceMfaEnabledbooleanNoFace verification enabledtrue
totpMfaEnabledbooleanNoOTP verification enabledtrue

ApplicationMfaDto

NameTypeIs it required?DescriptionSample value
mfaPolicystringyesMFA typeEMAIL
statusnumberyesEnabled status1
sortnumberyesSort0

IsSuccessDto

NameTypeIs it required?DescriptionSample value
successbooleanyeswhether the operation was successfultrue

Agent infrastructure for identity, memory, and web action.